perl-recommended-0.3.0-3.mga6.noarch.rpm


Advertisement

Description

perl-recommended - Load recommended modules on demand when available

Property Value
Distribution Mageia Cauldron
Repository Mageia Core x86_64
Package name perl-recommended
Package version 0.3.0
Package release 3.mga6
Package architecture noarch
Package type rpm
Installed size 29.69 KB
Download size 19.34 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
This module gathers a list of recommended modules and versions and
provides means to check if they are available. It is a thin veneer
around Module::Runtime.
There are two major benefits over using Module::Runtime directly:
*   Self-documents recommended modules together with versions at the top
of your code, while still loading them on demand elsewhere.
*   Dies if a recommended module exists but fails to compile, but
doesn't die if the module is missing or the version is insufficient.
This is not something that Module::Runtime offers in a single
subroutine.

Alternatives

Package Version Architecture Repository
perl-recommended-0.3.0-4.mga7.noarch.rpm 0.3.0 noarch Mageia Core
perl-recommended-0.3.0-4.mga7.noarch.rpm 0.3.0 noarch Mageia Core
perl-recommended - - -

Requires

Name Value
perl >= 0:5.008001
perl(Carp) -
perl(Module::Runtime) >= 0.14.0
perl(recommended) -
perl(strict) -
perl(version) -
perl(warnings) -
perl-base >= 2:5.22.2

Provides

Name Value
perl(recommended) == 0.3.0
perl(suggested) == 0.3.0
perl-recommended == 0.3.0-3.mga6

Download

Type URL
Binary Package perl-recommended-0.3.0-3.mga6.noarch.rpm
Source Package perl-recommended-0.3.0-3.mga6.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-recommended rpm package:
    # urpmi perl-recommended

Files

Path
/usr/lib/perl5/vendor_perl/5.22.2/recommended.pm
/usr/lib/perl5/vendor_perl/5.22.2/suggested.pm
/usr/share/doc/perl-recommended/Changes
/usr/share/doc/perl-recommended/LICENSE
/usr/share/doc/perl-recommended/META.json
/usr/share/doc/perl-recommended/META.yml
/usr/share/doc/perl-recommended/MYMETA.yml
/usr/share/doc/perl-recommended/README
/usr/share/man/man3/recommended.3pm.xz
/usr/share/man/man3/suggested.3pm.xz

Changelog

2016-06-19 - pterjan <pterjan> 0.3.0-3.mga6
+ Revision: 1032722
- Rebuild for perl 5.22.2
2016-02-19 - umeabot <umeabot> 0.3.0-2.mga6
+ Revision: 967647
- Mageia 6 Mass Rebuild
2015-07-04 - sander85 <sander85> 0.3.0-1.mga6
+ Revision: 849998
- imported package perl-recommended

See Also

Package Description
perl-redland-1.0.17.1-5.mga7.x86_64.rpm Perl modules for the Redland RDF library
perl-relative-0.40.0-12.mga6.noarch.rpm Load modules with relative names
perl-relative-0.40.0-13.mga7.noarch.rpm Load modules with relative names
perl-rlib-0.20.0-9.mga7.noarch.rpm Manipulate
perl-rpm-build-perl-0.820.0-19.mga7.x86_64.rpm Perl compiler backend to extract Perl dependencies
perl-rrdtool-1.7.0-2.mga7.x86_64.rpm RRD Tool Perl interface
perl-sanity-1.30.0-2.mga7.noarch.rpm DO NOT USE!
perl-sanity-1.30.0-3.mga7.noarch.rpm DO NOT USE!
perl-solv-0.6.35-1.mga7.x86_64.rpm Perl bindings for the libsolv library
perl-strictures-2.0.5-1.mga7.noarch.rpm No summary found
perl-strictures-2.0.5-2.mga7.noarch.rpm No summary found
perl-superclass-0.3.0-1.mga7.noarch.rpm Like parent, but with version checks
perl-superclass-0.3.0-2.mga7.noarch.rpm Like parent, but with version checks
perl-svn-devel-1.10.2-5.mga7.x86_64.rpm Subversion headers/libraries for development
perl-syntax-0.4.0-9.mga7.noarch.rpm Activate syntax extensions
Advertisement
Advertisement